Package org.gradle.api.publish.ivy

## Interface IvyExtraInfoSpec

- All Superinterfaces:
    `IvyExtraInfo`

      public interface IvyExtraInfoSpec
      extends IvyExtraInfo

  Represents a modifiable form of IvyExtraInfo so that "extra" info elements can be configured on an Ivy publication.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(java.lang.String namespace, java.lang.String name, java.lang.String value)` | Puts the specified extra element into the list of extra info elements.

    - ### Methods inherited from interface org.gradle.api.artifacts.ivy.IvyExtraInfo

      `asMap, get, get`

- - ### Method Detail

    - #### add

          void add​(java.lang.String namespace,
                   java.lang.String name,
                   java.lang.String value)

      Puts the specified extra element into the list of extra info elements.
      Parameters:
        `namespace` - The namespace of the element to add
        `name` - The name of the element to add
        `value` - The value of the element to add